#ifndef _config_h_
#define _config_h_

#define PROMPT_FIRST		"SQL> "
#define PROMPT_SECOND		"   > "
#define MAX_PROMPT_LEN		20

#define	DEF_PAGE_WIDTH		80	/* output page width */
#define DEF_PAGE_HEIGHT		65	/* output page height */
#define DEF_MARGIN_TOP		1	/* top margin */
#define DEF_MARGIN_BOT		1	/* bottom mergin*/
#define MAX_PAGE_WIDTH		2048

#define MAX_NUM_WIDTH		64
#define DEF_NUM_WIDTH		10
#define DEF_NUM_FORMAT		"9999999.99"
#define DEF_CURRENCY		"$"

#define DEF_HLINE_CHAR		'-'	/* header separator (must be defined)*/
#define DEF_FLINE_CHAR		'-'	/* endbar (must be defined) */
#define DEF_OVERF_CHAR		'#'

#define DEF_HOSTNAME		"local"
#define MAX_HOSTNAME		80

#define DEF_RCFILE		".ssqlrc"
#define DEF_TMPFILE		"ssql.tmp"
#define DEF_EDITOR		"vi %s"
#define DEF_SUFFIX_CMD		"sql"	/* suffix for the command files */
#define DEF_SUFFIX_LST		"lst"	/* suffix for the listings*/
#define DEF_SHELL		"/bin/sh"

#define DEF_NUM_BUFFERS		10	/* number of SQL command buffers */
#define	DEF_SCREEN_SIZE		25

#define QBUF_SIZE		4096	/* size of query buffer */
#define MAX_NAME_LEN		64	/* names of tables,columns, */
					/* variables etc.*/
#define MAX_CTIT_LEN		80	/* columns titles */

#ifndef HELP_DIR
#define HELP_DIR		"/usr/local/lib/ssql"
#endif

#ifndef VERSION_NUM
#define VERSION_NUM		"0.4"
#endif
#ifndef VERSION_DATE
#define VERSION_DATE		"March 1995"
#endif

#endif /*header*/
