#ifndef _errors_h_
#define _errors_h_

/* Error messages */

#define ErrUsyntax		1
#define ErrUsynargs		2
#define ErrUunknowncmd		3
#define ErrUunknownscmd		4
#define ErrUtoolong		5
#define ErrUemptyq		6
#define ErrUnosuchcol		7
#define ErrUcol_size		8
#define ErrUcol_tsize		9
#define ErrUcol_just		10
#define ErrUouttoolarge		11
#define ErrUsynQuote		12
#define ErrUpage_w_small	13
#define ErrUpage_w_large	14
#define ErrUpage_s_small	15
#define ErrUnumw_small		16
#define ErrUnumw_large		17
#define ErrUnumformat		18
#define ErrUsynwrap		19
#define ErrUpagebreakinv	20
#define ErrUprompt_large	21
#define ErrUsynBool		22
#define ErrUstart_syntax	23
#define ErrUstart_file		24
#define ErrUnotconnected	25
#define ErrUdbnoname		26
#define ErrUhostnamelong	27
#define ErrUdbnamelong		28
#define ErrUnosuchbuf		29
#define ErrUscrsize		30
#define ErrUnumbufbig		31
#define ErrUnumbufsmall		32
#define ErrUnosuchflag		33
#define ErrUnofilename		34
#define ErrUnospool		35
#define ErrUmarginvalid		36
#define ErrUmarginbig		37
#define ErrUendbarno		38
#define ErrUheadingno		39
#define ErrUnohelp		40
#define ErrUsynempty		41
#define ErrUstringlong		42
#define ErrUshellexec		43

#define ErrIalloc		100
#define ErrIargc		101
#define ErrIfile_i_open		102
#define ErrItmpfile		103
#define ErrIfilewrite		104
#define ErrIcantedit		105
#define ErrIsave_open		106
#define ErrIspoolwopen		107
#define ErrIfopen		108

#define ErrServer		200
#define ErrSconnect		201
#define ErrSseldb		202

#endif /*header*/
